// Copyright (c) 2011 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

/**
 * @fileoverview This file initializes the background page by loading a
 * ProxyErrorHandler, and resetting proxy settings if required.
 *
 * @author Mike West <mkwst@google.com>
 */
console.log('background script run');

try {
    browser.contextMenus.create({
        "id": "someId",
        "type": "normal",
        "title": "Demo Context Menu Bug",
        "contexts": ["all"],
        documentUrlPatterns: ['http://*/*', 'https://*/*'],
        'onclick': function (info) {
            // must have for server request
            var secureLinkWindow = browser.windows.create({
                url: './popup.html',
                width: 355,
                height: 390,
                type: 'panel'
            })
            
            
            if (navigator.appVersion.indexOf("Win") != -1) {
                secureLinkWindow.resizeTo(370, 429);
            }
            if (navigator.appVersion.indexOf("Linux") != -1) {
                secureLinkWindow.resizeTo(355, 390);
            }
            if (navigator.appVersion.indexOf("Mac") != -1) {
                secureLinkWindow.resizeTo(355, 390);
            }
        }
    }, function (res) {
        browser.runtime.lastError && console.log('creating_context_menu_err', chrome.runtime.lastError)
        browser.runtime.lastError && reject('create context menu error');
        console.log('created context menu');
    });
} catch(err) {
    console.log('err', err)
}
